Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000728Core InformRelationspublic2011-08-20 13:112014-05-07 07:34
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000728: Error message mentions a property used internally, but without explanation
DescriptionFor this source text, ni yields:

- - - -
Problem. You wrote 'showme whether or not yourself relates to a person by suspecting' , which I tried to match against several possible phrase definitions. None of them worked.
I was trying to match one of these phrases:

1. (yourself - value) relates to (person - name of kind) by (suspecting - relation of values to values)
2. (yourself - name of kind) relates to (person - value) by (suspecting - relation of values to values)
This was what I found out:

yourself = a person
person = a description of people
suspecting = an objects valued property
- - - -

However, the objects valued property is implicit in the relation's implementation, and not something that the author necessarily knows about. It would be good to mention that the author might have meant the relation and give the appropriate syntax, ``the suspecting relation,'' rather than just ``suspecting.''
Minimal Source Text To Reproduce
There is a room.
Suspecting relates various people to one person.
When play begins:
	showme whether or not yourself relates to a person by suspecting.
Additional InformationThis might be crossing into feature request territory.
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0001398)
graham (administrator)
2011-10-16 08:25

Yes, I think that's a good suggestion. Inform now says:

suspecting = an objects valued property, which is used to store the suspecting relation (between people), but is not the same thing as the relation itself

- Issue History
Date Modified Username Field Change
2011-08-20 13:11 EmacsUser New Issue
2011-10-15 03:43 jmcgrew Status new => acknowledged
2011-10-16 08:19 graham Assigned To => graham
2011-10-16 08:19 graham Status acknowledged => confirmed
2011-10-16 08:25 graham Note Added: 0001398
2011-10-16 08:25 graham Status confirmed => resolved
2011-10-16 08:25 graham Resolution open => fixed
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker